Download it now!
Bug 45758 - FORMATTING: Graphical objects change Z-order when closing then opening spreadsheet (possible FILEOPEN problem).
Summary: FORMATTING: Graphical objects change Z-order when closing then opening spread...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2012-02-07 22:38 UTC by DarwinSurvivor
Modified: 2019-10-13 02:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The document that is affected by the bug (19.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-02-07 22:38 UTC, DarwinSurvivor
Details
second edition of test case (19.77 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-05-15 06:39 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DarwinSurvivor 2012-02-07 22:38:55 UTC
Created attachment 56736 [details]
The document that is affected by the bug

Problem description: 

Steps to reproduce:
1. Place a text box over a rectagular circle
2. Save the document
3. Close the document
4. Open the document

Current behavior:
The text is now BEHIND the circle.

Expected behavior:
The text should still be ABOVE the circle.

Platform (if different from the browser): 
Ubuntu 11.10 amd64
              
The elements affected in the document are the circles on the right hand side.
Comment 1 Rainer Bielefeld Retired 2012-02-09 21:55:56 UTC
NOT reproducible with "LibreOffice 3.5.0 RC3 German UI/Locale [Build-ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735] on German WIN7 Home Premium (64bit) 
NOT reproducible  "LibreOffice 3.4.5 German UI [Build ID: OOO340m1 (Build:502)]" parallel Server installation on German WIN7 Home Premium (64bit) 
Also not with a 3.4.1 based RC.
Neither with reporter's sample nor with own document.

Linux related?
Comment 2 DarwinSurvivor 2012-02-11 02:09:00 UTC
I have also tested the same document in Arch Linux (Ubuntu was the original) and get the same results.

@Rainer Bielefeld When you say it was not reproduceable, which part? Did the order appear correct when opening it in the first place (indicating a read issue), or did they stay correct when opening it the second time (indicating a save issue)?
Comment 3 sasha.libreoffice 2012-05-15 06:39:04 UTC
Created attachment 61681 [details]
second edition of test case
Comment 4 sasha.libreoffice 2012-05-15 06:50:47 UTC
Thanks for bugreport
Steps to reproduce:
0. Opens second attachment. There we see red circle over blue.
1. Select red circle
2. Right click, select from context menu Arrange->Send to back
(red circle disappears behind blue)
3. Save document
4. File->Reload
Expected: document seen as before step 4
Actually: document changed, red circle appears again.

Reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit and in 3.5.2 on Windows 7 32 bit

In msExcel this document opens correctly (red circle hidden behind blue)
Therefore, LibreCalc saves Z-order correctly, but can not open
Comment 5 sasha.libreoffice 2012-05-15 07:23:49 UTC
Resembles this in Writer:
Bug 41006 - Z-order mangled in large documents (FILEOPEN, FILESAVE, FORMATTING)

after saving file in 3.5.3 version, http://odf-validator.rhcloud.com/ outputs this error (attachment saved in 3.3.4 version, need resave):
Calculations1.ods/content.xml[740,182]: Error: element "text:a" is missing "type" attribute

PS: after attempts to simplify document, bug disappears. So, not very easy to simplify document so that bug retains.
Comment 6 Rainer Bielefeld Retired 2012-05-15 08:20:26 UTC
Sometimes [Reproducible] with "second edition of test case" and "LibreOffice 3.5.3.2 (RC2) German UI/Locale [Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80] on German WIN7 Home Premium (64bit) (following exactly steps in Comment 4), most times not.
Comment 7 Xisco Faulí 2014-02-21 12:12:13 UTC
Second edition tested and it's still present in:
   - Libreoffice 4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
   - Libreoffice 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
   - Libreoffice 4.3.0.0.alpha0+ Build ID: e076b5290e706b8a69abd397a9f255eba6a0cd1a
Comment 8 Joel Madero 2015-05-02 15:44:02 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-06-21 12:52:35 UTC
(In reply to sasha.libreoffice from comment #4)
> Thanks for bugreport
> Steps to reproduce:
> 0. Opens second attachment. There we see red circle over blue.
> 1. Select red circle
> 2. Right click, select from context menu Arrange->Send to back
> (red circle disappears behind blue)
> 3. Save document
> 4. File->Reload
> Expected: document seen as before step 4
> Actually: document changed, red circle appears again.

Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 10 QA Administrators 2016-09-20 10:11:12 UTC Comment hidden (obsolete)
Comment 11 raal 2018-06-12 18:32:03 UTC
Repro 
Version: 6.2.0.0.alpha0+
Build ID: c4c56de1b0e62ec866b519b2b24c5e805f0a86d3
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 12 QA Administrators 2019-10-13 02:34:28 UTC
Dear DarwinSurvivor,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug